<?php
declare(strict_types=1);

namespace WP_AUX\Enum\CtaTypes;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum ButtonsCtaTypesEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Buttons = 'buttons';
  case Button = 'button';


  public const SETTING_LABEL = 'Buttons CTA types';

  public function label(): string
  {
    return match($this) {
      self::Buttons => 'Buttons',
      self::Button => 'Button',
    };
  }
}
